fatfreecrm fatfreecrm

fat_free_crm

59 8 0

Ruby on Rails CRM platform for Web 2.0 and beyond

Reports Beta

Some reports are compatible with your project but none of them has been enabled.

Dependencies

Package Locked Requirement Latest Status Changelog
Gems acts-as-taggable-on 3.5.0 >= 3.4.3 3.5.0

acts-as-taggable-on version 3.5.0

With ActsAsTaggableOn, you can tag a single model on several contexts, such as skills, interests, and awards. It also provides other advanced functionality.

This dependency is up-to-date. Congrats and keep going!

Gems acts_as_commentable 4.0.2 >= 0 4.0.2

acts_as_commentable version 4.0.2

Plugin/gem that provides comment functionality

This dependency is up-to-date. Congrats and keep going!

Gems acts_as_list 0.6.0 >= 0 0.6.0

acts_as_list version 0.6.0

This "acts_as" extension provides the capabilities for sorting and reordering a number of objects in a list. The class that has this specified needs to have a "position" column defined as an integer on the mapped database table.

This dependency is up-to-date. Congrats and keep going!

Gems authlogic 3.4.5 >= 3.4.4 3.4.5

authlogic version 3.4.5

A clean, simple, and unobtrusive ruby authentication solution.

This dependency is up-to-date. Congrats and keep going!

Gems byebug 3.5.1 >= 0 4.0.3

byebug version 3.5.1

Byebug is a Ruby 2 debugger. It's implemented using the Ruby 2 TracePoint C API for execution control and the Debug Inspector C API for call stack navigation. The core component provides support that front-ends can build on. It provides breakpoint handling and bindings for stack frames among other things and it comes with an easy to use command line interface.

This dependency is not matching latest version. Please consider upgrading.

Gems cancancan 1.10.1 >= 0 1.10.1

cancancan version 1.10.1

Continuation of the simple authorization solution for Rails which is decoupled from user roles. All permissions are stored in a single location.

This dependency is up-to-date. Congrats and keep going!

Gems cocaine 0.5.7 >= 0 0.5.7

cocaine version 0.5.7

A small library for doing (command) lines

This dependency is up-to-date. Congrats and keep going!

Gems coffee-rails 4.1.0 >= 0 4.1.0

coffee-rails version 4.1.0

CoffeeScript adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems coffee-script-source 1.8.0 ~> 1.8.0 1.9.1

coffee-script-source version 1.8.0

CoffeeScript is a little language that compiles into JavaScript. Underneath all of those embarrassing braces and semicolons, JavaScript has always had a gorgeous object model at its heart. CoffeeScript is an attempt to expose the good parts of JavaScript in a simple way.

This dependency is not matching latest version. Please consider upgrading.

Gems country_select 2.1.1 >= 0 2.2.0

country_select version 2.1.1

Provides a simple helper to get an HTML select list of countries. The list of countries comes from the ISO 3166 standard. While it is a relatively neutral source of country names, it will still offend some users.

This dependency is not matching latest version. Please consider upgrading.

Gems debugger 1.6.8 >= 0 1.6.8

debugger version 1.6.8

debugger is a fast implementation of the standard Ruby debugger debug.rb. It is implemented by utilizing a new Ruby C API hook. The core component provides support that front-ends can build on. It provides breakpoint handling, bindings for stack frames among other things.

This dependency is up-to-date. Congrats and keep going!

Gems dynamic_form 1.1.4 >= 0 1.1.4

dynamic_form version 1.1.4

DynamicForm holds a few helper methods to help you deal with your Rails3 models. It includes the stripped out methods from Rails 2; error_message_on and error_messages_for. It also brings in the functionality of the custom-err-messages plugin, which provides more flexibility over your model error messages.

This dependency is up-to-date. Congrats and keep going!

Gems email_reply_parser_ffcrm 0.5.0 >= 0 0.5.0

email_reply_parser_ffcrm version 0.5.0

Long description. Maybe copied from the README.

This dependency is up-to-date. Congrats and keep going!

Gems execjs 2.4.0 >= 0 2.4.0

execjs version 2.4.0

ExecJS lets you run JavaScript code from Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems ffaker 1.32.1 >= 0 2.0.0

ffaker version 1.32.1

Faster Faker, generates dummy data.

This dependency is not matching latest version. Please consider upgrading.

Gems font-awesome-rails 4.3.0.0 >= 0 4.3.0.0

font-awesome-rails version 4.3.0.0

I like font-awesome. I like the asset pipeline. I like semantic versioning. If you do too, you're welcome.

This dependency is up-to-date. Congrats and keep going!

Gems haml 4.0.6 >= 0 4.0.6

haml version 4.0.6

Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML that's designed to express the structure of documents in a non-repetitive, elegant, and easy way by using indentation rather than closing tags and allowing Ruby to be embedded with ease. It was originally envisioned as a plugin for Ruby on Rails, but it can function as a stand-alone templating engine.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-migrate-rails 1.2.1 >= 0 1.2.1

jquery-migrate-rails version 1.2.1

jQuery migrate for rails application

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails 4.0.3 >= 0 4.0.3

jquery-rails version 4.0.3

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-ui-rails 5.0.3 >= 0 5.0.3

jquery-ui-rails version 5.0.3

jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset pipeline

This dependency is up-to-date. Congrats and keep going!

Gems nokogiri 1.6.6.2 >= 0 1.6.6.2

nokogiri version 1.6.6.2

Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser. Among Nokogiri's many features is the ability to search documents via XPath or CSS3 selectors. XML is like violence - if it doesn’t solve your problems, you are not using enough of it.

This dependency is up-to-date. Congrats and keep going!

Gems paper_trail 4.0.0.beta2 >= 4.0.0.beta2 3.0.7

paper_trail version 4.0.0.beta2

Track changes to your models' data. Good for auditing or versioning.

This dependency is up-to-date. Congrats and keep going!

Gems paperclip 4.2.1 >= 0 4.2.1

paperclip version 4.2.1

Easy upload management for ActiveRecord

This dependency is up-to-date. Congrats and keep going!

Gems pg 0.18.1 >= 0 0.18.1

pg version 0.18.1

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.4 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is up-to-date. Congrats and keep going!

Gems premailer 1.8.4 >= 0 1.8.4

premailer version 1.8.4

Improve the rendering of HTML emails by making CSS inline, converting links and warning about unsupported code.

This dependency is up-to-date. Congrats and keep going!

Gems pry-rails 0.3.3 >= 0 0.3.3

pry-rails version 0.3.3

Use Pry as your rails console

This dependency is up-to-date. Congrats and keep going!

Gems rails 4.2.0 ~> 4.2.0 4.2.1

rails version 4.2.0

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is not matching latest version. Please consider upgrading.

Gems rails-observers 0.1.2 >= 0 0.1.2

rails-observers version 0.1.2

Rails observer (removed from core in Rails 4.0)

This dependency is up-to-date. Congrats and keep going!

Gems rails3-jquery-autocomplete 1.0.15 >= 0 1.0.15

rails3-jquery-autocomplete version 1.0.15

Use jQuery's autocomplete plugin with Rails 3.

This dependency is up-to-date. Congrats and keep going!

Gems rails_autolink 1.1.6 >= 0 1.1.6

rails_autolink version 1.1.6

This is an extraction of the `auto_link` method from rails. The `auto_link` method was removed from Rails in version Rails 3.1. This gem is meant to bridge the gap for people migrating.

This dependency is up-to-date. Congrats and keep going!

Gems ransack 1.6.3 ~> 1.6.2 1.6.4

ransack version 1.6.3

Ransack is the successor to the MetaSearch gem. It improves and expands upon MetaSearch's functionality, but does not have a 100%-compatible API.

This dependency is not matching latest version. Please consider upgrading.

Gems ransack_ui 1.3.1 >= 1.3.1 1.3.1

ransack_ui version 1.3.1

Framework for building a search UI with Ransack

This dependency is up-to-date. Congrats and keep going!

Gems responders 2.1.0 ~> 2.0 2.1.0

responders version 2.1.0

A set of Rails responders to dry up your application

This dependency is up-to-date. Congrats and keep going!

Gems responds_to_parent 1.1.0 >= 0 1.1.0

responds_to_parent version 1.1.0

[Rails] Adds 'responds_to_parent' to your controller torespond to the parent document of your page.Make Ajaxy file uploads by posting the form to a hiddeniframe, and respond with RJS to the parent window.

This dependency is up-to-date. Congrats and keep going!

Gems sass 3.4.13 >= 0 3.4.13

sass version 3.4.13

Sass makes CSS fun again. Sass is an extension of CSS3, adding nested rules, variables, mixins, selector inheritance, and more. It's translated to well-formatted, standard CSS using the command line tool or a web-framework plugin.

This dependency is up-to-date. Congrats and keep going!

Gems sass-rails 5.0.1 >= 0 5.0.1

sass-rails version 5.0.1

Sass adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems select2-rails 3.5.9.3 >= 0 3.5.9.3

select2-rails version 3.5.9.3

Select2 is a jQuery based replacement for select boxes. It supports searching, remote data sets, and infinite scrolling of results. This gem integrates Select2 with Rails asset pipeline for easy of use.

This dependency is up-to-date. Congrats and keep going!

Gems simple_form 3.1.0 >= 0 3.1.0

simple_form version 3.1.0

Forms made easy!

This dependency is up-to-date. Congrats and keep going!

Gems sprockets-rails 2.2.2 = 2.2.2 2.2.4

sprockets-rails version 2.2.2

Sprockets Rails integration

This dependency is not matching latest version. Please consider upgrading.

Gems therubyracer 0.12.1 >= 0 0.12.1

therubyracer version 0.12.1

Call JavaScript code and manipulate JavaScript objects from Ruby. Call Ruby code and manipulate Ruby objects from JavaScript.

This dependency is up-to-date. Congrats and keep going!

Gems thor 0.19.1 >= 0 0.19.1

thor version 0.19.1

Thor is a toolkit for building powerful command-line interfaces.

This dependency is up-to-date. Congrats and keep going!

Gems uglifier 2.7.1 >= 0 2.7.1

uglifier version 2.7.1

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is up-to-date. Congrats and keep going!

Gems will_paginate 3.0.7 >= 0 3.0.7

will_paginate version 3.0.7

will_paginate provides a simple API for performing paginated queries with Active Record, DataMapper and Sequel, and includes helpers for rendering pagination links in Rails, Sinatra and Merb web apps.

This dependency is up-to-date. Congrats and keep going!

Gems zeus 0.15.4 >= 0 0.15.4

zeus version 0.15.4

Boot any rails app in under a second

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems acts_as_fu 0.0.9 >= 0 0.0.9

acts_as_fu version 0.0.9

Generate ActiveRecord models on the fly for your tests

This dependency is up-to-date. Congrats and keep going!

Gems capistrano 3.4.0 >= 0 3.4.0

capistrano version 3.4.0

Capistrano is a utility and framework for executing commands in parallel on multiple remote machines, via SSH.

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-bundler 1.1.4 >= 0 1.1.4

capistrano-bundler version 1.1.4

Bundler support for Capistrano 3.x

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-rails 1.1.2 >= 0 1.1.2

capistrano-rails version 1.1.2

Rails specific Capistrano tasks

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-rvm 0.1.2 >= 0 0.1.2

capistrano-rvm version 0.1.2

RVM integration for Capistrano

This dependency is up-to-date. Congrats and keep going!

Gems capybara 2.4.4 >= 0 2.4.4

capybara version 2.4.4

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is up-to-date. Congrats and keep going!

Gems database_cleaner 1.4.1 >= 0 1.4.1

database_cleaner version 1.4.1

Strategies for cleaning databases. Can be used to ensure a clean state for testing.

This dependency is up-to-date. Congrats and keep going!

Gems factory_girl_rails 4.5.0 >= 0 4.5.0

factory_girl_rails version 4.5.0

factory_girl_rails provides integration between factory_girl and rails 3 (currently just automatic factory definition loading)

This dependency is up-to-date. Congrats and keep going!

Gems guard 2.12.4 >= 0 2.12.5

guard version 2.12.4

Guard is a command line tool to easily handle events on file system modifications.

This dependency is not matching latest version. Please consider upgrading.

Gems guard-rails 0.7.1 >= 0 0.7.1

guard-rails version 0.7.1

Restart Rails when things change in your app

This dependency is up-to-date. Congrats and keep going!

Gems guard-rspec 4.5.0 >= 0 4.5.0

guard-rspec version 4.5.0

Guard::RSpec automatically run your specs (much like autotest).

This dependency is up-to-date. Congrats and keep going!

Gems headless 1.0.2 >= 0 1.0.2

headless version 1.0.2

Headless is a Ruby interface for Xvfb. It allows you to create a headless display straight from Ruby code, hiding some low-level action.

This dependency is up-to-date. Congrats and keep going!

Gems quiet_assets 1.1.0 >= 0 1.1.0

quiet_assets version 1.1.0

Quiet Assets turns off Rails asset pipeline log.

This dependency is up-to-date. Congrats and keep going!

Gems rails_12factor 0.0.3 >= 0 0.0.3

rails_12factor version 0.0.3

Run Rails the 12factor way

This dependency is up-to-date. Congrats and keep going!

Gems rb-fchange 0.0.6 >= 0 0.0.6

rb-fchange version 0.0.6

A Ruby wrapper for Windows Kernel functions for monitoring the specified directory or subtree

This dependency is up-to-date. Congrats and keep going!

Gems rb-fsevent 0.9.4 >= 0 0.9.4

rb-fsevent version 0.9.4

FSEvents API with Signals catching (without RubyCocoa)

This dependency is up-to-date. Congrats and keep going!

Gems rb-inotify 0.9.5 >= 0 0.9.5

rb-inotify version 0.9.5

A Ruby wrapper for Linux's inotify, using FFI

This dependency is up-to-date. Congrats and keep going!

Gems rspec-activemodel-mocks 1.0.1 >= 0 1.0.1

rspec-activemodel-mocks version 1.0.1

RSpec test doubles for ActiveModel and ActiveRecord

This dependency is up-to-date. Congrats and keep going!

Gems rspec-rails 3.2.1 >= 0 3.2.1

rspec-rails version 3.2.1

RSpec for Rails

This dependency is up-to-date. Congrats and keep going!

Gems selenium-webdriver 2.45.0 >= 0 2.45.0

selenium-webdriver version 2.45.0

WebDriver is a tool for writing automated tests of websites. It aims to mimic the behaviour of a real user, and as such interacts with the HTML of the application.

This dependency is up-to-date. Congrats and keep going!

Gems thin 1.6.3 >= 0 1.6.3

thin version 1.6.3

A thin and fast web server

This dependency is up-to-date. Congrats and keep going!

Gems timecop 0.7.3 >= 0 0.7.3

timecop version 0.7.3

A gem providing "time travel" and "time freezing" capabilities, making it dead simple to test time-dependent code. It provides a unified method to mock Time.now, Date.today, and DateTime.now in a single call.

This dependency is up-to-date. Congrats and keep going!

Gems unicorn 4.8.3 >= 0 4.8.3

unicorn version 4.8.3

\Unicorn is an HTTP server for Rack applications designed to only serve fast clients on low-latency, high-bandwidth connections and take advantage of features in Unix/Unix-like kernels. Slow clients should only be served by placing a reverse proxy capable of fully buffering both the the request and response in between \Unicorn and slow clients.

This dependency is up-to-date. Congrats and keep going!